import { axios } from '@/utils/request'

const api = {
  icsCustomerStaff: '/admin/staff'
}

export function getIcsCustomerStaffList (parameter) {
  return axios({
    url: api.icsCustomerStaff + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveIcsCustomerStaff (parameter) {
  return axios({
    url: api.icsCustomerStaff + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delIcsCustomerStaff (parameter) {
  return axios({
    url: api.icsCustomerStaff + '/remove',
    method: 'post',
    params: parameter
  })
}

export const icsCustomerStaffExport = api.icsCustomerStaff + '/export'
