import { axios } from '@/utils/request'

const api = {
  customerTicket: '/meeting/customerTicket'
}

export function getCustomerTicketList (parameter) {
  return axios({
    url: api.customerTicket + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveCustomerTicket (parameter) {
  return axios({
    url: api.customerTicket + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delCustomerTicket (parameter) {
  return axios({
    url: api.customerTicket + '/remove',
    method: 'post',
    params: parameter
  })
}

export const customerTicketExport = api.customerTicket + '/export'
