import { axios } from '@/utils/request'

const api = {
  detailEquipment: '/meeting/detailEquipment'
}

export function getDetailEquipmentList (parameter) {
  return axios({
    url: api.detailEquipment + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveDetailEquipment (parameter) {
  return axios({
    url: api.detailEquipment + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delDetailEquipment (parameter) {
  return axios({
    url: api.detailEquipment + '/remove',
    method: 'post',
    params: parameter
  })
}

export const detailEquipmentExport = api.detailEquipment + '/export'
