import { axios } from '@/utils/request'

const api = {
  order: '/meeting/order'
}

export function getOrderList (parameter) {
  return axios({
    url: api.order + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveOrder (parameter) {
  return axios({
    url: api.order + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delOrder (parameter) {
  return axios({
    url: api.order + '/remove',
    method: 'post',
    params: parameter
  })
}

export const orderExport = api.order + '/export'
