import { axios } from '@/utils/request'

const api = {
  reservationPerson: '/meeting/reservationPerson'
}

export function getReservationPersonList (parameter) {
  return axios({
    url: api.reservationPerson + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveReservationPerson (parameter) {
  return axios({
    url: api.reservationPerson + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delReservationPerson (parameter) {
  return axios({
    url: api.reservationPerson + '/remove',
    method: 'post',
    params: parameter
  })
}

export const reservationPersonExport = api.reservationPerson + '/export'
