import { axios } from '@/utils/request'

const api = {
  reservationServe: '/meeting/reservationServe'
}

export function getReservationServeList (parameter) {
  return axios({
    url: api.reservationServe + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveReservationServe (parameter) {
  return axios({
    url: api.reservationServe + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delReservationServe (parameter) {
  return axios({
    url: api.reservationServe + '/remove',
    method: 'post',
    params: parameter
  })
}

export const reservationServeExport = api.reservationServe + '/export'
