import { axios } from '@/utils/request'

const api = {
  roomEquipment: '/meeting/roomEquipment'
}

export function getRoomEquipmentList (parameter) {
  return axios({
    url: api.roomEquipment + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRoomEquipment (parameter) {
  return axios({
    url: api.roomEquipment + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRoomEquipment (parameter) {
  return axios({
    url: api.roomEquipment + '/remove',
    method: 'post',
    params: parameter
  })
}

export const roomEquipmentExport = api.roomEquipment + '/export'
