import { axios } from '@/utils/request'

const api = {
  roomItemByRoom: '/meeting/roomItemByRoom'
}

export function getRoomItemByRoomList (parameter) {
  return axios({
    url: api.roomItemByRoom + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRoomItemByRoom (parameter) {
  return axios({
    url: api.roomItemByRoom + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRoomItemByRoom (parameter) {
  return axios({
    url: api.roomItemByRoom + '/remove',
    method: 'post',
    params: parameter
  })
}

export const roomItemByRoomExport = api.roomItemByRoom + '/export'
