import { axios } from '@/utils/request'

const api = {
  roomRecord: '/meeting/roomRecord'
}

export function getRoomRecordList (parameter) {
  return axios({
    url: api.roomRecord + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRoomRecord (parameter) {
  return axios({
    url: api.roomRecord + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRoomRecord (parameter) {
  return axios({
    url: api.roomRecord + '/remove',
    method: 'post',
    params: parameter
  })
}

export const roomRecordExport = api.roomRecord + '/export'
