import { axios } from '@/utils/request'

const api = {
  roomServe: '/meeting/roomServe'
}

export function getRoomServeList (parameter) {
  return axios({
    url: api.roomServe + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRoomServe (parameter) {
  return axios({
    url: api.roomServe + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRoomServe (parameter) {
  return axios({
    url: api.roomServe + '/remove',
    method: 'post',
    params: parameter
  })
}

export const roomServeExport = api.roomServe + '/export'
