import { axios } from '@/utils/request'

const api = {
  roomServeByRoom: '/meeting/roomServeByRoom'
}

export function getRoomServeByRoomList (parameter) {
  return axios({
    url: api.roomServeByRoom + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRoomServeByRoom (parameter) {
  return axios({
    url: api.roomServeByRoom + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRoomServeByRoom (parameter) {
  return axios({
    url: api.roomServeByRoom + '/remove',
    method: 'post',
    params: parameter
  })
}

export const roomServeByRoomExport = api.roomServeByRoom + '/export'
