import { axios } from '@/utils/request'

const api = {
  showroom: '/meeting/showroom'
}

export function getShowroomList (parameter) {
  return axios({
    url: api.showroom + '/list',
    method: 'get',
    params: parameter
  })
}

export function get (id) {
  return axios({
    url: api.showroom + '/get/'+id,
    method: 'get',
    params: {}
  })
}

export function saveShowroom (parameter) {
  return axios({
    url: api.showroom + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delShowroom (parameter) {
  return axios({
    url: api.showroom + '/remove',
    method: 'post',
    params: parameter
  })
}

export function showroomListRq (parameter) {
  return axios({
    url: api.showroom + '/showroomList',
    method: 'get',
    params: parameter
  })
}


export const showroomExport = api.showroom + '/export'
