import { axios } from '@/utils/request'

const api = {
  showroomRecord: '/meeting/showroomRecord'
}

export function getShowroomRecordList (parameter) {
  return axios({
    url: api.showroomRecord + '/list',
    method: 'get',
    params: parameter
  })
}
export function get (id) {
  return axios({
    url: api.showroomRecord + '/get/'+id,
    method: 'get',
    params: {}
  })
}


export function saveShowroomRecord (parameter) {
  return axios({
    url: api.showroomRecord + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delShowroomRecord (parameter) {
  return axios({
    url: api.showroomRecord + '/remove',
    method: 'post',
    params: parameter
  })
}

export const showroomRecordExport = api.showroomRecord + '/export'
