import { axios } from '@/utils/request'

const api = {
  staffCustomer: '/meeting/staffCustomer'
}

export function getStaffCustomerList (parameter) {
  return axios({
    url: api.staffCustomer + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveStaffCustomer (parameter) {
  return axios({
    url: api.staffCustomer + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delStaffCustomer (parameter) {
  return axios({
    url: api.staffCustomer + '/remove',
    method: 'post',
    params: parameter
  })
}

export const staffCustomerExport = api.staffCustomer + '/export'
