import { axios } from '@/utils/request'

const api = {
  userEquipment: '/meeting/userEquipment'
}

export function getUserEquipmentList (parameter) {
  return axios({
    url: api.userEquipment + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveUserEquipment (parameter) {
  return axios({
    url: api.userEquipment + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delUserEquipment (parameter) {
  return axios({
    url: api.userEquipment + '/remove',
    method: 'post',
    params: parameter
  })
}

export const userEquipmentExport = api.userEquipment + '/export'
