import { axios } from '@/utils/request'

const api = {
  repairAddress: '/repairAddress'
}

export function getRepairAddressList (parameter) {
  return axios({
    url: api.repairAddress + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRepairAddress (parameter) {
  return axios({
    url: api.repairAddress + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRepairAddress (parameter) {
  return axios({
    url: api.repairAddress + '/remove',
    method: 'post',
    params: parameter
  })
}

export const repairAddressExport = api.repairAddress + '/export'
