import { axios } from '@/utils/request'

const api = {
  repairFailureType: '/repairFailureType'
}

export function getRepairFailureTypeList (parameter) {
  return axios({
    url: api.repairFailureType + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRepairFailureType (parameter) {
  return axios({
    url: api.repairFailureType + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRepairFailureType (parameter) {
  return axios({
    url: api.repairFailureType + '/remove',
    method: 'post',
    params: parameter
  })
}

export const repairFailureTypeExport = api.repairFailureType + '/export'
