import { axios } from '@/utils/request'

const api = {
  repairStaffType: '/RepairStaffType/repairStaffType'
}

export function getRepairStaffTypeList (parameter) {
  return axios({
    url: api.repairStaffType + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRepairStaffType (parameter) {
  return axios({
    url: api.repairStaffType + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRepairStaffType (parameter) {
  return axios({
    url: api.repairStaffType + '/remove',
    method: 'post',
    params: parameter
  })
}

export const repairStaffTypeExport = api.repairStaffType + '/export'
