import { axios } from '@/utils/request'

const api = {
  repairWorkerType: '/RepairWorkerType/repairWorkerType'
}

export function getRepairWorkerTypeList (parameter) {
  return axios({
    url: api.repairWorkerType + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRepairWorkerType (parameter) {
  return axios({
    url: api.repairWorkerType + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRepairWorkerType (parameter) {
  return axios({
    url: api.repairWorkerType + '/remove',
    method: 'post',
    params: parameter
  })
}

export const repairWorkerTypeExport = api.repairWorkerType + '/export'
